# GetDelegatedResource

Returns all resources delegations during stake1.0 phase from an account to another account. The fromAddress can be retrieved from the GetDelegatedResourceAccountIndex API.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `fromAddress` - String - <mark style="color:red;">Required</mark> - Energy from address, default hexString.
* `toAddress` - String - <mark style="color:red;">Required</mark> - Energy delegation information.
* `visible` - Boolean - Optional. Specifies whether the address is in Base58 format (default: false).

## **Returns**

delegatedResource - List: A list of resources that an address delegates to a target address. A DelegatedResource object contains the following fields:

| Field                           | Type   | Description                                       |
| ------------------------------- | ------ | ------------------------------------------------- |
| from                            | string | delegate account                                  |
| to                              | string | resource receiving account                        |
| frozen\_balance\_for\_bandwidth | int64  | bandwidth delegate share                          |
| frozen\_balance\_for\_energy    | int64  | energy delegate share                             |
| expire\_time\_for\_bandwidth    | int64  | Deadline of this delegate bandwidth's lock period |
| expire\_time\_for\_energy       | int64  | Deadline of this delegate energy's lock period    |

```json
// Result
{}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/getdelegatedresource \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "fromAddress": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "toAddress": "TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1",
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/account-resources/getdelegatedresource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
